## kf6-kuserfeedback 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KUserFeedback VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM ${KF_DEP_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

set(ENABLE_SURVEY_TARGET_EXPRESSIONS ON CACHE BOOL "Survey targeting expressions support is enabled by default.")
set(ENABLE_PHP                       ON CACHE BOOL "Syntax checking of PHP server code.")
set(ENABLE_PHP_UNIT                  ON CACHE BOOL "Unit tests for PHP server code.")
set(ENABLE_DOCS                      ON CACHE BOOL "Generate documentation.")
set(ENABLE_CONSOLE                   OFF CACHE BOOL "Application console and CLI binary.")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 17)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMQueryQt)
include(ECMGeneratePriFile)
include(ECMQmlModule)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KUSERFEEDBACK
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kuserfeedback_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfigVersion.cmake"
    SOVERSION 6
)
#
# Dependencies
#

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
find_package(QmlLint)

if (ENABLE_DOCS)
    if (NOT CMAKE_CROSSCOMPILING)
        find_package(Qt6 NO_MODULE QUIET OPTIONAL_COMPONENTS Help)
    endif()

    find_package(Qt6 CONFIG OPTIONAL_COMPONENTS ToolsTools)
endif()

set_package_properties(Qt6 PROPERTIES URL "http://qt-project.org/")
set_package_properties(Qt6Widgets PROPERTIES TYPE RECOMMENDED PURPOSE "Required for feedback configuration and notification widgets.")
set_package_properties(Qt6Charts PROPERTIES TYPE RECOMMENDED PURPOSE "Required for UserFeedbackConsole.")

# debug suffixes for qmake compatibility
if(WIN32)
    set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
    set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

add_definitions(-DQT_USE_QSTRINGBUILDER -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII)

remove_definitions(-DQT_NO_FOREACH) # still uses foreach
remove_definitions(-DQT_NO_KEYWORDS)

if (ENABLE_SURVEY_TARGET_EXPRESSIONS)
    find_package(FLEX)
    set_package_properties(FLEX PROPERTIES TYPE RECOMMENDED PURPOSE "Survey target expression parser.")

    find_package(BISON)
    set_package_properties(BISON PROPERTIES TYPE RECOMMENDED PURPOSE "Survey target expression parser.")

    if(FLEX_FOUND AND BISON_FOUND)
        set(HAVE_SURVEY_TARGET_EXPRESSIONS 1)
    endif()
endif()
add_feature_info("Survey targeting expressions support" HAVE_SURVEY_TARGET_EXPRESSIONS "Requires flex and bison parser generators.")

if (ENABLE_PHP)
    find_package(Php)
    set_package_properties(Php PROPERTIES URL "http://php.net" TYPE RECOMMENDED PURPOSE "Syntax checking of PHP server code.")
endif()

if (ENABLE_PHP_UNIT)
    find_package(PhpUnit)
    set_package_properties(PhpUnit PROPERTIES URL "http://phpunit.de" TYPE RECOMMENDED PURPOSE "Unit tests for PHP server code.")
endif()

#
# Actually build the stuff
#
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
configure_file(config-userfeedback.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-userfeedback.h)

ecm_set_disabled_deprecation_versions(
    QT 5.15
)


add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (ENABLE_DOCS)
    add_subdirectory(docs)
endif()

#
# CMake package config file generation
#
include(CMakePackageConfigHelpers)

set(_CONFIG_CMAKE_IN "KF6UserFeedbackConfig.cmake.in")

configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/${_CONFIG_CMAKE_IN}
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfig.cmake
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback
    PATH_VARS KDE_INSTALL_INCLUDEDIR
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfigVersion.cmake
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback
)

install(EXPORT KF6UserFeedbackTargets DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback FILE KF6UserFeedbackTarget.cmake NAMESPACE KF6::)

ecm_qt_install_logging_categories(
        EXPORT KUSERFEEDBACK
        FILE org_kde_UserFeedback.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ecm_install_po_files_as_qm(poqm)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(FILES
    ${KF6UserFeedbackCore_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kuserfeedback_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedback
)

=== src/console/CMakeLists.txt ===
ecm_create_qm_loader(userfeedback_console_QM_LOADER userfeedbackconsole6_qt)

set(console_lib_srcs
    core/aggregation.cpp
    core/aggregationelement.cpp
    core/product.cpp
    core/sample.cpp
    core/schemaentry.cpp
    core/schemaentryelement.cpp
    core/schemaentrytemplates.cpp
    core/survey.cpp

    rest/restapi.cpp
    rest/restclient.cpp
    rest/serverinfo.cpp

    jobs/job.cpp
    jobs/handshakejob.cpp
    jobs/productexportjob.cpp
    jobs/productimportjob.cpp
    jobs/securityscanjob.cpp

    model/aggregateddatamodel.cpp
    model/aggregationeditormodel.cpp
    model/aggregationelementmodel.cpp
    model/aggregationelementeditmodel.cpp
    model/categoryaggregationmodel.cpp
    model/datamodel.cpp
    model/extrarowsproxymodel.cpp
    model/numericaggregationmodel.cpp
    model/productmodel.cpp
    model/ratiosetaggregationmodel.cpp
    model/rolemappingproxymodel.cpp
    model/schemamodel.cpp
    model/singlerowfilterproxymodel.cpp
    model/surveymodel.cpp
    model/timeaggregationmodel.cpp

    core/aggregation.h
    core/aggregationelement.h
    core/product.h
    core/sample.h
    core/schemaentry.h
    core/schemaentryelement.h
    core/schemaentrytemplates.h
    core/survey.h

    rest/restapi.h
    rest/restclient.h
    rest/serverinfo.h

    jobs/job.h
    jobs/handshakejob.h
    jobs/productexportjob.h
    jobs/productimportjob.h
    jobs/securityscanjob.h

    model/aggregateddatamodel.h
    model/aggregationeditormodel.h
    model/aggregationelementmodel.h
    model/aggregationelementeditmodel.h
    model/categoryaggregationmodel.h
    model/datamodel.h
    model/extrarowsproxymodel.h
    model/numericaggregationmodel.h
    model/productmodel.h
    model/ratiosetaggregationmodel.h
    model/rolemappingproxymodel.h
    model/schemamodel.h
    model/singlerowfilterproxymodel.h
    model/surveymodel.h
    model/timeaggregationmodel.h

    schematemplates/schematemplates.qrc
)

add_library(KF6UserFeedbackConsole STATIC ${console_lib_srcs})
add_library(KF6::UserFeedbackConsole ALIAS KF6UserFeedbackConsole)

target_link_libraries(KF6UserFeedbackConsole Qt6::Network)
target_include_directories(KF6UserFeedbackConsole PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_compile_features(KF6UserFeedbackConsole PRIVATE cxx_generic_lambdas)

if(NOT TARGET KF6UserFeedbackWidgets)
    return()
endif()

set(console_srcs
    connectdialog.cpp
    main.cpp
    mainwindow.cpp
    helpcontroller.cpp

    analytics/aggregator.cpp
    analytics/analyticsview.cpp
    analytics/categoryaggregator.cpp
    analytics/chartexportdialog.cpp
    analytics/chartutil.cpp
    analytics/numericaggregator.cpp
    analytics/ratiosetaggregator.cpp
    analytics/totalaggregator.cpp

    schemaeditor/aggregationeditwidget.cpp
    schemaeditor/schemaeditor.cpp
    schemaeditor/schemaeditwidget.cpp
    schemaeditor/schemaentryitemeditorfactory.cpp

    surveyeditor/surveydialog.cpp
    surveyeditor/surveyeditor.cpp

    widgets/metaenumcombobox.cpp

    connectdialog.h
    mainwindow.h
    helpcontroller.h

    analytics/aggregator.h
    analytics/analyticsview.h
    analytics/categoryaggregator.h
    analytics/chartexportdialog.h
    analytics/chartutil.h
    analytics/numericaggregator.h
    analytics/ratiosetaggregator.h
    analytics/totalaggregator.h

    schemaeditor/aggregationeditwidget.h
    schemaeditor/schemaeditor.h
    schemaeditor/schemaeditwidget.h
    schemaeditor/schemaentryitemeditorfactory.h

    surveyeditor/surveydialog.h
    surveyeditor/surveyeditor.h

    widgets/metaenumcombobox.h

    ${userfeedback_console_QM_LOADER}
)

add_executable(KUserFeedbackConsoleApplication ${console_srcs})
target_compile_features(KUserFeedbackConsoleApplication PRIVATE cxx_generic_lambdas)
set_target_properties(KUserFeedbackConsoleApplication PROPERTIES OUTPUT_NAME UserFeedbackConsole)
target_link_libraries(KUserFeedbackConsoleApplication
    Qt6::Widgets
    Qt6::Network
    Qt6::Charts
    Qt6::PrintSupport
    Qt6::Svg
    KF6UserFeedbackWidgets
    KF6UserFeedbackConsole
    KF6UserFeedbackCommon
)

install(TARGETS KUserFeedbackConsoleApplication ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
if(UNIX AND NOT APPLE)
    install(FILES org.kde.kuserfeedback-console.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.kuserfeedback-console.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
endif()

=== src/provider/widgets/CMakeLists.txt ===
set(userfeedback_widgets_srcs
    feedbackconfigdialog.cpp
    feedbackconfigwidget.cpp
    notificationpopup.cpp
    styleinfosource.cpp
    auditlogbrowserdialog.cpp

    feedbackconfigdialog.h
    feedbackconfigwidget.h
    notificationpopup.h
    styleinfosource.h
    auditlogbrowserdialog.h
)

add_library(KF6UserFeedbackWidgets ${userfeedback_widgets_srcs})
add_library(KF6::UserFeedbackWidgets ALIAS KF6UserFeedbackWidgets)

set_target_properties(KF6UserFeedbackWidgets PROPERTIES
    SOVERSION ${KUSERFEEDBACK_SOVERSION}
    VERSION ${KUSERFEEDBACK_VERSION}
    EXPORT_NAME UserFeedbackWidgets
)
generate_export_header(KF6UserFeedbackWidgets BASE_NAME KUserFeedbackWidgets)
target_link_libraries(KF6UserFeedbackWidgets PUBLIC Qt6::Widgets KF6UserFeedbackCore)
target_include_directories(KF6UserFeedbackWidgets PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KF6UserFeedbackWidgets INTERFACE
                           "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedback;${KDE_INSTALL_INCLUDEDIR}>"
                           "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets;${KDE_INSTALL_INCLUDEDIR}>"
                          )

ecm_generate_headers(KUserFeedbackWidgets_CamelCase_HEADERS
    HEADER_NAMES
        FeedbackConfigDialog
        FeedbackConfigWidget
        NotificationPopup
        StyleInfoSource
    PREFIX KUserFeedback
    REQUIRED_HEADERS KUserFeedbackWidgets_HEADERS
)

ecm_generate_qdoc(KF6UserFeedbackWidgets kuserfeedbackwidgets.qdocconf)

install(TARGETS KF6UserFeedbackWidgets EXPORT KF6UserFeedbackTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kuserfeedbackwidgets_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets
    COMPONENT Devel
)
install(FILES
    ${KUserFeedbackWidgets_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets/kuserfeedback
    COMPONENT Devel
)

install(FILES
    ${KUserFeedbackWidgets_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets/KUserFeedback
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KF6UserFeedbackWidgets
                      LIB_NAME KF6UserFeedbackWidgets
                      DEPS "KF6UserFeedbackCore widgets"
                      FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kf6-kuserfeedback (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:18:24 +0100

=== debian/control ===
Source: kf6-kuserfeedback
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.17.0~),
               flex,
               libxkbcommon-dev (>= 0.5.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-documentation-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kuserfeedback
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback

Package: libkf6userfeedback-data
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkuserfeedbackcoreqt6-1,
Replaces: libkuserfeedbackcoreqt6-1,
Description: user feedback for applications - localization files
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the shared localizations for KUserFeedback.

Package: libkf6userfeedback-dev
Section: libdevel
Architecture: any
Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
         libkf6userfeedbackwidgets6 (= ${binary:Version}),
         qml6-module-org-kde-userfeedback (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: development files for KUserFeedback
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the development header files for KUserFeedback.

Package: libkf6userfeedback-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kuserfeedback-doc,
Replaces: kuserfeedback-doc,
Description: user feedback for applications - documentation
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the documentation for KUserFeedback.

Package: libkf6userfeedbackcore6
Architecture: any
Multi-Arch: same
Depends: libkf6userfeedback-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6userfeedback-doc (= ${binary:Version}),
Breaks: libkuserfeedbackcoreqt6-1,
Replaces: libkuserfeedbackcoreqt6-1,
Description: user feedback for applications - core library
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the core library for KUserFeedback.

Package: libkf6userfeedbackwidgets6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version}),
Breaks: libkuserfeedbackwidgetsqt6-1,
Replaces: libkuserfeedbackwidgetsqt6-1,
Description: user feedback for applications - widgets library
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the widgets library for KUserFeedback.

Package: qml6-module-org-kde-userfeedback
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: user feedback for applications - QML module
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the QML module for KUserFeedback.

## kf6-kuserfeedback 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup

=== src/common/CMakeLists.txt ===
set(common_src
    surveytargetexpression.cpp
    surveytargetexpressionevaluator.cpp
    surveytargetexpressionparser.cpp
    surveytargetexpression.h
    surveytargetexpressionevaluator.h
    surveytargetexpressionparser.h
)

if(HAVE_SURVEY_TARGET_EXPRESSIONS)

if (CMAKE_VERSION VERSION_LESS 3.5.0)
    set(_flex_opts COMPILE_FLAGS --nounistd --header-file=${CMAKE_CURRENT_BINARY_DIR}/surveytargetexpressionscanner.h)
    set(_bison_opts COMPILE_FLAGS --defines=${CMAKE_CURRENT_BINARY_DIR}/surveytargetexpressionparser_p.h)
else()
    set(_flex_opts COMPILE_FLAGS --nounistd DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/surveytargetexpressionscanner.h)
    set(_bison_opts DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/surveytargetexpressionparser_p.h)
endif()

flex_target(surveytargetexpressionscanner
    surveytargetexpressionlexer.l
    ${CMAKE_CURRENT_BINARY_DIR}/surveytargetexpressionlexer.cpp
    ${_flex_opts}
)
bison_target(surveytargetexpressionparser
    surveytargetexpressionparser.y
    ${CMAKE_CURRENT_BINARY_DIR}/surveytargetexpressionparser_p.cpp
    ${_bison_opts}
)
add_flex_bison_dependency(surveytargetexpressionscanner surveytargetexpressionparser)
endif()

add_library(KF6UserFeedbackCommon STATIC
    ${common_src}
    ${BISON_surveytargetexpressionparser_OUTPUTS}
    ${FLEX_surveytargetexpressionscanner_OUTPUTS}
)
add_library(KF6::UserFeedbackCommon ALIAS KF6UserFeedbackCommon)

# Needed to link this static lib to shared libs
set_property(TARGET KF6UserFeedbackCommon PROPERTY POSITION_INDEPENDENT_CODE ON)

if (NOT BUILD_SHARED_LIBS)
    install(TARGETS KF6UserFeedbackCommon
            EXPORT KF6UserFeedbackTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

target_include_directories(KF6UserFeedbackCommon PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(KF6UserFeedbackCommon PUBLIC Qt6::Core)

=== debian/changelog ===
kf6-kuserfeedback (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Remove binary package libkf6userfeedback-bin.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.17.0~),
+               bison,
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0~),
-               qt6-charts-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-charts-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -58,7 +57,7 @@
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry
@@ -121,7 +120,8 @@
 Package: libkf6userfeedbackwidgets6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version}),
 Breaks: libkuserfeedbackwidgetsqt6-1,
 Replaces: libkuserfeedbackwidgetsqt6-1,
@@ -142,7 +142,9 @@
 Package: qml6-module-org-kde-userfeedback
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: user feedback for applications - QML module
  Framework for collecting user feedback for applications via telemetry
  and surveys.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# do not run testOpenGLInfoSource during builds
export KUSERFEEBACK_SKIP_TESTOPENGLINFOSOURCE=1

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- -DENABLE_DOCS=OFF

override_dh_auto_configure-indep:
	dh_auto_configure -- -DENABLE_DOCS=ON

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel

## kf6-kuserfeedback 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.18.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup

=== src/testserver/CMakeLists.txt ===
php_lint(router.php)

=== debian/changelog ===
kf6-kuserfeedback (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-charts-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-charts-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.7.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -57,7 +58,7 @@
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry
@@ -120,8 +121,7 @@
 Package: libkf6userfeedbackwidgets6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version}),
 Breaks: libkuserfeedbackwidgetsqt6-1,
 Replaces: libkuserfeedbackwidgetsqt6-1,
@@ -142,9 +142,7 @@
 Package: qml6-module-org-kde-userfeedback
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: user feedback for applications - QML module
  Framework for collecting user feedback for applications via telemetry
  and surveys.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kuserfeedback-(.*)\.tar\.xz

## kf6-kuserfeedback 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup
@@ -49,7 +49,7 @@
 #
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
 find_package(QmlLint)

=== debian/changelog ===
kf6-kuserfeedback (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.19.0~),
+               bison,
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.20.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0~),
-               qt6-charts-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-charts-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.8.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -58,7 +57,7 @@
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry
@@ -121,7 +120,8 @@
 Package: libkf6userfeedbackwidgets6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version}),
 Breaks: libkuserfeedbackwidgetsqt6-1,
 Replaces: libkuserfeedbackwidgetsqt6-1,
@@ -142,7 +142,9 @@
 Package: qml6-module-org-kde-userfeedback
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: user feedback for applications - QML module
  Framework for collecting user feedback for applications via telemetry
  and surveys.

## kf6-kuserfeedback 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-kuserfeedback (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:40 +0000

kf6-kuserfeedback (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -12,23 +13,23 @@
                dh-sequence-qmldeps,
                bison,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
                qt6-charts-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.5.0~),
+               qt6-declarative-dev (>= 6.8.0~),
                qt6-svg-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -120,8 +121,7 @@
 Package: libkf6userfeedbackwidgets6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version}),
 Breaks: libkuserfeedbackwidgetsqt6-1,
 Replaces: libkuserfeedbackwidgetsqt6-1,
@@ -142,9 +142,7 @@
 Package: qml6-module-org-kde-userfeedback
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: user feedback for applications - QML module
  Framework for collecting user feedback for applications via telemetry
  and surveys.

## kf6-kuserfeedback 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-kuserfeedback (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:54 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,

## kf6-kuserfeedback 6.23.0

=== debian/changelog ===
kf6-kuserfeedback (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,32 @@
 Source: kf6-kuserfeedback
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.22.0~),
+               bison,
+               cmake (>= 3.27~),
+               extra-cmake-modules (>= 6.23.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
                qt6-charts-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -121,7 +118,8 @@
 Package: libkf6userfeedbackwidgets6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version}),
 Breaks: libkuserfeedbackwidgetsqt6-1,
 Replaces: libkuserfeedbackwidgetsqt6-1,
@@ -142,7 +140,9 @@
 Package: qml6-module-org-kde-userfeedback
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: user feedback for applications - QML module
  Framework for collecting user feedback for applications via telemetry
  and surveys.
